Bug 130455 - CAN-2004-0753 bmp image loader DOS
CAN-2004-0753 bmp image loader DOS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdk-pixbuf (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 12:25 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 11:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-20 12:25:31 EDT
An infinite loop has been found in the gdk-pixbuf BMP image loader. 
The image which triggers this is the demo image is attachment 102533 [details].

Some more information is here
http://bugzilla.gnome.org/show_bug.cgi?id=150601

This issue affects the gtk2 and gdk-pixbuf package.

FC[12] is being handled by bug 130441
Comment 1 Owen Taylor 2004-08-20 14:07:14 EDT
As far as I know gtk2 wasn't shipped with 2.1AS ... if it was,
it certainly isn't used in anything else.
Comment 2 Owen Taylor 2004-08-20 14:21:05 EDT
Reopening to reassign to gdk-pixbuf
Comment 3 Josh Bressers 2004-09-15 11:22:57 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-447.html
Comment 4 Josh Bressers 2004-09-15 17:29:02 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-447.html

Note You need to log in before you can comment on or make changes to this bug.